package ch.epfl.isochrone.timetable;

import java.io.IOException;

import org.junit.Test;

public class TestTimeTableReader {
    // Le "test" suivant n'en est pas un à proprement parler, raison pour
    // laquelle il est ignoré (annotation @Ignore). Son seul but est de garantir
    // que les noms des classes et méthodes sont corrects.
    @Test
    public void readTimeTableIsOk() throws IOException {

        TimeTableReader ttr = new TimeTableReader("/time-table/");

        TimeTable tt = ttr.readTimeTable();

        Graph g = ttr.readGraphForServices(tt.stops(),
                tt.servicesForDate(new Date(1, 10, 2013)), 500, 1.25);

    }
}
